# $Revision: 1.5 $, $Date: 2012/06/26 09:22:01 $
%include	/usr/lib/rpm/macros.perl
Summary:	Obsessive Compulsive Host/Service Processor Daemon for Nagios
Name:		nagios-ocpd
Version:	1.1
Release:	1
License:	GPL v2+
Group:		Networking/Daemons
Source0:	ocpd.pl
Source1:	README
Source2:	ocpd.init
URL:		http://wiki.nagios.org/index.php/OCP_Daemon
BuildRequires:	perl-Event-Lib
BuildRequires:	perl-base
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	nagios >= 3.1.2-6
Requires:	nagios-nsca-client
Requires:	perl-Event-Lib >= 1.03-1
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/lib/nagios
%define		_spooldir	%{_var}/spool/nagios

%description
Given the way Nagios operates, running a command every time a
host/service check result comes in can greatly reduce the speed at
which Nagios can do its work. On huge Nagios setups the checks can end
up lagging behind without fully using the server resources.

There is a way to make Nagios write OCHP/OCSP data into a named pipe
instead of running a command every time, and on the other end of the
pipe a daemon takes care of sending the data to the master Nagios
server.

%prep
%setup -qcT
install -p %{SOURCE0} .
cp -p %{SOURCE1} .

%build
%{__perl} -c ocpd.pl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_spooldir},/etc/rc.d/init.d}
install -p ocpd.pl $RPM_BUILD_ROOT%{_libdir}/ocpd
%{__sed} -i -e 's,/usr/local/nagios/bin/send_nsca,/usr/sbin/send_nsca,' $RPM_BUILD_ROOT%{_libdir}/ocpd
touch $RPM_BUILD_ROOT%{_spooldir}/host-perfdata.fifo
touch $RPM_BUILD_ROOT%{_spooldir}/service-perfdata.fifo
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
for f in service-perfdata.fifo host-perfdata.fifo; do
	if [ ! -e %{_spooldir}/$f ]; then
		mkfifo -m 600 %{_spooldir}/$f
		chown nagios:nagios %{_spooldir}/$f
	fi
done

/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(754,root,root) /etc/rc.d/init.d/nagios-ocpd
%attr(755,root,root) %{_libdir}/ocpd
%attr(600,nagios,nagios) %ghost %{_spooldir}/host-perfdata.fifo
%attr(600,nagios,nagios) %ghost %{_spooldir}/service-perfdata.fifo

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-ocpd.spec,v $
Revision 1.5  2012/06/26 09:22:01  glen
- v1.1: support nsca 2.9 multiline

Revision 1.4  2012/06/26 08:51:25  glen
- default send_nsca path

Revision 1.3  2009/12/01 08:46:20  glen
- preserve timestamps

Revision 1.2  2009/12/01 08:45:31  glen
- release 1

Revision 1.1  2009/08/05 00:30:27  glen
- new
